#### D.14.1.2 type2arr

Procedure from library `arr.lib` (see arr_lib).

Usage:
  type2arr(#); # def

Return:
  [arr] Arrangement defined by the input

Note:
  The procedure tries to cast the input to [arr] using arrAdd

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    ideal I = x,y,z;
    typeof(type2arr(I));
    ==> arr

User manual for Singular version 4.4.1, 2025, generated by texi2html.